import request from '@/apis/utils/request'

// 工单统计-按状态统计我的工单
export function rptByStatus(data) {
	var url='/mobile/workOrder/rptByStatus';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 工单-用户取消工单
export function usClose(data) {
	var url='/mobile/workOrder/usClose';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 工单-加载工单明细
export function workOrderDetail(id) {
	var url='/mobile/workOrder/get';
	return request({
		method: 'post',
		data: {id: id},
		url: url
	})
}

// 工单-根据目录名称查询数据列表-'故障类型'
export function findByCatalogName(data) {
	var url='/sys/dataDictionary/findByCatalogName';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 工单-查询当前用户单位的设备信息
export function loadMyDevices(data) {
	var url='/mobile/workOrder/loadMyDevices';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 工单-分页查询我的工单
export function queryMy(data) {
	var url='/mobile/workOrder/queryMy';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 工单-用户故障上报(用户创建工单)
export function usCreate(data) {
	var url='/mobile/workOrder/usCreate';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}